Cantera 2.6.0

Public Member Functions | Public Attributes | List of all members
TwoTempPlasmaData Struct Reference

Data container holding shared data specific to TwoTempPlasmaRate. More...

`#include <TwoTempPlasmaRate.h>`

Inheritance diagram for TwoTempPlasmaData:
[legend]
Collaboration diagram for TwoTempPlasmaData:
[legend]

## Public Member Functions
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin) override
| Update data container based on thermodynamic phase state. More...
virtual void | update (double T) override
| Update data container based on temperature T More...
virtual void | update (double T, double Te) override
| Update data container based on temperature T and an extra parameter. More...
virtual void | updateTe (double Te)
virtual void | invalidateCache () override
| Force shared data and reaction rates to be updated next time. More...
virtual void | update (double T)
| Update data container based on temperature T More...
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter. More...
virtual void | update (double T, const vector_fp &extra)
| Update data container based on temperature T and a vector parameter extra More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state. More...
Public Member Functions inherited from ReactionData
virtual void | update (double T)
| Update data container based on temperature T More...
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter. More...
virtual void | update (double T, const vector_fp &extra)
| Update data container based on temperature T and a vector parameter extra More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state. More...
void | perturbTemperature (double deltaT)
| Perturb temperature of data container. More...
virtual void | restore ()
| Restore data container after a perturbation. More...
virtual void | resize (size_t nSpecies, size_t nReactions, size_t nPhases)
| Update number of species, reactions and phases. More...
virtual void | invalidateCache ()
| Force shared data and reaction rates to be updated next time. More...

## Public Attributes
double | electronTemp
| electron temperature More...
double | logTe
| logarithm of electron temperature More...
double | recipTe
| inverse of electron temperature More...
Public Attributes inherited from ReactionData
double | temperature
| temperature More...
double | logT
| logarithm of temperature More...
double | recipT
| inverse of temperature More...

## Additional Inherited Members
Protected Attributes inherited from ReactionData
double | m_temperature_buf
| buffered temperature More...

## Detailed Description

Data container holding shared data specific to TwoTempPlasmaRate.

The data container `TwoTempPlasmaData` holds precalculated data common to all `TwoTempPlasmaRate` objects.

Definition at line 20 of file TwoTempPlasmaRate.h.

## Constructor & Destructor Documentation

## ◆ TwoTempPlasmaData()

TwoTempPlasmaData | ( |  | ) |
| inline

Definition at line 22 of file TwoTempPlasmaRate.h.

## Member Function Documentation

## ◆ update() [1/7]

bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| override virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

Definition at line 13 of file TwoTempPlasmaRate.cpp.

## ◆ update() [2/7]

void update | ( | double | T | ) |
| override virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 29 of file TwoTempPlasmaRate.cpp.

## ◆ update() [3/7]

void update | ( | double | T,
|  | double | extra
| ) |  |
| override virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 35 of file TwoTempPlasmaRate.cpp.

## ◆ updateTe()

void updateTe | ( | double | Te | ) |
| virtual

Definition at line 41 of file TwoTempPlasmaRate.cpp.

## ◆ invalidateCache()

virtual void invalidateCache | ( |  | ) |
| inline override virtual

Force shared data and reaction rates to be updated next time.

This is called by functions that change quantities affecting rate calculations that are normally assumed to be constant, like the reaction rate parameters or the number of reactions.

Reimplemented from ReactionData.

Definition at line 31 of file TwoTempPlasmaRate.h.

References TwoTempPlasmaData::electronTemp, and ReactionData::invalidateCache().

## ◆ update() [4/7]

virtual void update | ( | double | T | ) |
| inline virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 35 of file ReactionData.h.

## ◆ update() [5/7]

virtual void update | ( | double | T,
|  | double | extra
| ) |  |
| inline virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 47 of file ReactionData.h.

## ◆ update() [6/7]

virtual void update | ( | double | T,
|  | const vector_fp & | extra
| ) |  |
| inline virtual

Update data container based on temperature T and a vector parameter extra

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Warning
  This method is an experimental part of the Cantera API and may be changed or removed without notice.

Reimplemented from ReactionData.

Definition at line 61 of file ReactionData.h.

## ◆ update() [7/7]

virtual bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

## Member Data Documentation

## ◆ electronTemp

double electronTemp

electron temperature

Definition at line 36 of file TwoTempPlasmaRate.h.

Referenced by TwoTempPlasmaRate::evalFromStruct(), and TwoTempPlasmaData::invalidateCache().

## ◆ logTe

double logTe

logarithm of electron temperature

Definition at line 37 of file TwoTempPlasmaRate.h.

Referenced by TwoTempPlasmaRate::evalFromStruct().

## ◆ recipTe

double recipTe

inverse of electron temperature

Definition at line 38 of file TwoTempPlasmaRate.h.

Referenced by TwoTempPlasmaRate::evalFromStruct().

The documentation for this struct was generated from the following files:

- TwoTempPlasmaRate.h
- TwoTempPlasmaRate.cpp